"use client";

import DOMPurify from "dompurify";

interface NewsContentProps {
  description: string;
}

export default function NewsContent({ description }: NewsContentProps) {
  return (
    <div className="prose prose-lg max-w-none text-gray-700">
      <div
        dangerouslySetInnerHTML={{
          __html: DOMPurify.sanitize(description),
        }}
      />
    </div>
  );
}
